Bug 127728 - RPM needs to byteswap data from "cross endian" database
RPM needs to byteswap data from "cross endian" database
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-12 19:15 EDT by Mark Hatle
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 15:48:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
back port of endian patch (6.81 KB, patch)
2004-07-12 19:19 EDT, Mark Hatle
no flags Details | Diff

  None (edit)
Description Mark Hatle 2004-07-12 19:15:31 EDT
Description of problem:
If the RPM database was created on the opposite endian (compared to native) a number of 
components are unreadable.

Version-Release number of selected component (if applicable):
All < rpm development HEAD

How reproducible:
Create a DB on a big endian system.  Copy to little endian, run rpm -qf '[:xml:]' compare 
the output on both.  It's different.
  
Additional info:

The patch currently located in the rpm CVS head works properly.
Comment 1 Mark Hatle 2004-07-12 19:19:20 EDT
Created attachment 101841 [details]
back port of endian patch

Backport of the endian patch from head to 4.3.x.
Comment 2 Jeff Johnson 2005-02-07 15:48:54 EST
Fixed in rpm-4.4.1-0.18.

Note You need to log in before you can comment on or make changes to this bug.